Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.service
Class ServerResource

    java.lang.Object
      weblogic.security.service.ResourceBase
          weblogic.security.service.ServerResource

All Implemented Interfaces:
  Serializable, Resource, SelfDescribingResource, SelfDescribingResourceV2

    public final class ServerResource

extends ResourceBase

The `ServerResource` class is used by a container to specify the Server resource (and method related to the resource) that a caller is attempting to access.

The `toString` format (which is produced by the `ResourceBase` class) for a Server resource is:
`type=<svr>, application=, server=MyServer, action=shutdown`

See Also:
  Serialized Form

Field Summary

Fields inherited from class weblogic.security.service.ResourceBase
`id, length, NO_PARENT, parent, resStr, SCOPE_RESOURCE_ACTION, values`

Fields inherited from interface weblogic.security.spi.SelfDescribingResource
`LIST_FIELD_TYPE, NORMAL_FIELD_TYPE, PATH_FIELD_TYPE, UNDEFINED_FIELD_TYPE`

Constructor Summary
`ServerResource(String application, String server, String action)` Constructs a new `ServerResource` with a target name composed from the `application`, `server`, and `action` parameters.

Method Summary
`boolean` | `equals(Object obj)` Compares this resource to the resource in the specified object.
`String` | `getActionName()` Gets the name of the action being requested on the `ServerResource`.
`String` | `getApplicationName()` Gets the name of the application associated with the `ServerResource`.
`String[]` | `getKeys()` Gets keys for the `ServerResource`.
`int` | `getRepeatingFieldIndex()` `getRepeatingFieldIndex` returns an index into the array returned by `getKeys()` that signifies what part of the Resource's fields repeat as the hierarchy is traversed.
`int` | `getRepeatingFieldTerminatingIndex()` The field returned by `getRepeatingFieldIndex` is repeated as the Resource is shortened up to and including this field index.
`String` | `getServerName()` Gets the name of the `ServerResource`.
`String` | `getType()` Gets the type of this resource (`ServerResource`).
`void` | `initialize(String application, String server, String action)` Deprecated. As of 04/01/02, the constructor should be used instead.
`protected Resource` | `makeParent()` Gets a `Resource` object that represents the parent of the current `ServerResource`.
`protected void` | `writeResourceString(StringBuffer buf)` Writes a string representation of the resource to buffer.

Methods inherited from class weblogic.security.service.ResourceBase
`appendArrayValue, appendValue, getFieldType, getID, getParentResource, getValues, hashCode, init, init, isTransitiveField, reset, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServerResource

    public ServerResource(String application,
                          String server,
                          String action)

  Constructs a new `ServerResource` with a target name composed from the `application`, `server`, and `action` parameters.

  Parameters:
    `application` - a String indicating the name of the application in which the resource is deployed, as it appears in the corresponding `<display-name>` element. The `<display-name>` element is associated with an `<application>` element in the deployment descriptor, in an `.ear` file. A value of `null` indicates that the resource is not deployed as part of an application.

    `server` - a String representing the name of the Server resource.

    `action` - a String representing the name of the action being requested on the resource. A value of `null` indicates that the security policy for the resource pertains to all actions that match the other parameters of the resource specification, without consideration for the action name. Valid values for this parameter are restricted to the following:
    - `boot`
    - `shutdown`
    - `lock`
    - `unlock`

Method Detail

### initialize

    public void initialize(String application,
                           String server,
                           String action)

  Deprecated. As of 04/01/02, the constructor should be used instead.

  Replaces `application`, `server`, and `action` parameters of the resource with the specified values.

  Parameters:
    `application` - a String indicating the name of the application in which the resource is deployed, as it appears in the corresponding `<display-name>` element. The `<display-name>` element is associated with an `<application>` element in the deployment descriptor, in an `.ear` file. A value of `null` indicates that the resource is not deployed as part of an application.

    `server` - a String representing the name of the Server resource.

    `action` - a String representing the name of the action being requested on the resource. A value of `null` indicates that the security policy for the resource pertains to all actions that match the other parameters of the resource specification, without consideration for the action name. Valid values for this parameter are restricted to the following:
    - `boot`
    - `shutdown`
    - `lock`
    - `unlock`

### getType

    public String getType()

  Gets the type of this resource (`ServerResource`).

  Returns:
    the type of this resource, represented as a String.

### makeParent

    protected Resource makeParent()

  Gets a `Resource` object that represents the parent of the current `ServerResource`. If the resource does not have a parent, the value of `null` must be returned.

  The parentage hierarchy for the `ServerResource` is:

  `type=<svr>, application=, server=MyServer, action=shutdown
  type=<svr>, application=, server=MyServer
  type=<svr>, action=shutdown
  type=<svr>
  `

  The old deprecated parentage hierarchy for the `ServerResource` (with -Dweblogic.security.scopeResourceAction) is:

  `type=<svr>, application=, server=MyServer
  , action=shutdown
  type=<svr>, application=, server=MyServer
  type=<svr>
  `

  Overrides:
    `makeParent` in class `ResourceBase`
  Returns:
    the `Resource` object of the parent resource.

### getRepeatingFieldIndex

    public int getRepeatingFieldIndex()

  Description copied from interface: `SelfDescribingResource`
  `getRepeatingFieldIndex` returns an index into the array returned by `getKeys()` that signifies what part of the Resource's fields repeat as the hierarchy is traversed. For example, in the `URLResource`, the `httpMethod` is repeated as the hierarchy is walked. A value of `-1` indicates that there are no repeating fields.

  Specified by:
    `getRepeatingFieldIndex` in interface `SelfDescribingResource`
  Overrides:
    `getRepeatingFieldIndex` in class `ResourceBase`
  Returns:
    the index of the repeating fields or -1 if none

### getRepeatingFieldTerminatingIndex

    public int getRepeatingFieldTerminatingIndex()

  Description copied from interface: `SelfDescribingResource`
  The field returned by `getRepeatingFieldIndex` is repeated as the Resource is shortened up to and including this field index. After this field index the repetition is no longer applied.

  Specified by:
    `getRepeatingFieldTerminatingIndex` in interface `SelfDescribingResource`
  Overrides:
    `getRepeatingFieldTerminatingIndex` in class `ResourceBase`
  Returns:
    an `int` describing the terminating index or `getKeys().length` if none

### getKeys

    public String[] getKeys()

  Gets keys for the `ServerResource`.

  Specified by:
    `getKeys` in interface `Resource`
  Specified by:
    `getKeys` in class `ResourceBase`
  Returns:
    an array of Strings containing the `ServerResource`'s keys.

### getServerName

    public String getServerName()

  Gets the name of the `ServerResource`.

  Returns:
    the name of the `ServerResource`, represented as a String.

### getActionName

    public String getActionName()

  Gets the name of the action being requested on the `ServerResource`.

  Returns:
    the name of the action being requested on the `ServerResource`, represented as a String.

### getApplicationName

    public String getApplicationName()

  Gets the name of the application associated with the `ServerResource`.

  Returns:
    the name of the application associated with the `ServerResource`, represented as a String.

### writeResourceString

    protected void writeResourceString(StringBuffer buf)

  Writes a string representation of the resource to buffer.

  Each type of resource is first printed in angled brackets. Then, each key is printed, in order, along with it's value. The keys are comma-separated. Values that are lists are comma-separated and delineated by open and close curly braces. Each value is printed as is, except that commas (,), open braces ({), close braces (}), and back slashes (\) are each escaped with a backslash.

  Note: Because this method produces a result based on the concatenation of strings, it may be expensive in terms of performance.

  Overrides:
    `writeResourceString` in class `ResourceBase`
  Parameters:
    `buf` - buffer to write to.

### equals

    public boolean equals(Object obj)

  Compares this resource to the resource in the specified object.

  Specified by:
    `equals` in interface `Resource`
  Overrides:
    `equals` in class `ResourceBase`
  Parameters:
    `obj` - the other resource with which to compare this resource.

  Returns:
    `TRUE` if the resource passed in matches this resource, and `FALSE` otherwise.

  See Also:
    `Object.equals(Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD